%define gcj_support 1

Name: gjdoc
Version: 0.7.7
Release: 14%{dist}
URL: http://savannah.gnu.org/projects/classpath/
License: GPL
Summary: GNU Javadoc
Group: Development/Tools

Source0: ftp://ftp.gnu.org/gnu/classpath/gjdoc-%{version}.tar.gz
Patch0: %{name}-fix-control-z.patch
Patch1: %{name}-rm-timestamp.patch
# http://gcc.gnu.org/bugzilla/show_bug.cgi?id=29743
Patch2: %{name}-consistent-html.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-java >= 4.0.0-8
BuildPrereq: antlr
BuildRequires: java-devel
Requires: libgcj >= 4.0.0-8
Requires: antlr
%if %{gcj_support}
Requires(post):   java-gcj-compat >= 1.0.64
Requires(postun): java-gcj-compat >= 1.0.64
%endif

%description
A documentation generation system for "javadoc"-style comments.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p0

%build
export JAVAC=/usr/bin/javac
%configure --disable-native
sed -i 's/^pic_flag=\"\"/pic_flag=\"\ \-fPIC\"/' libtool 
sed -i 's/^compiler_c_o=\"no\"/compiler_c_o=\"yes\"/' libtool 
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

pushd $RPM_BUILD_ROOT%{_javadir}
ln -sf com-sun-javadoc-%{version}.jar \
 $RPM_BUILD_ROOT%{_javadir}/com-sun-javadoc.jar
ln -sf com-sun-tools-doclets-Taglet-%{version}.jar \
 $RPM_BUILD_ROOT%{_javadir}/com-sun-tools-doclets-Taglet.jar
ln -sf gnu-classpath-tools-gjdoc-%{version}.jar \
 $RPM_BUILD_ROOT%{_javadir}/gnu-classpath-tools-gjdoc.jar
popd

if [ -e $RPM_BUILD_ROOT%{_datadir}/info/dir ]
then
  rm -rf $RPM_BUILD_ROOT%{_datadir}/info/dir
fi

%if %{gcj_support}
aot-compile-rpm 
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi

%postun
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%changelog
* Mon Nov 06 2006 Ben Konrath <bkonrath@redhat.com> - 0.7.7-14
- Add consistent html patch so that the javadocs are consistent 
  across builds.

* Thu Nov 02 2006 Andrew Overholt <overholt@redhat.com> - 0.7.7-13
- Bump release and include %%{dist}.

* Wed Nov 01 2006 Andrew Overholt <overholt@redhat.com> - 0.7.7-12
- Guard against missing rebuild-gcj-db in post and postun.
- Add Requires(post,postun): java-gcj-compat to solve above.
- Resolves: #213529.

* Thu Oct 05 2006 Andrew Overholt <overholt@redhat.com> - 0.7.7-11
- Add antlr requirement (rh#209513).

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 0.7.7-10
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 Andrew Overholt <overholt@redhat.com> - 0.7.7-9
- Don't compile with old ABI (rh#204412).
- Add --disable-native and aot-compile.
- Don't unnecessarily remove .la files.
- Export JAVAC so that javac/ecj is used for bytecode compilation.
- Require java-devel as a result.

* Tue Aug 29 2006 Deepak Bhole <dbhole@redhat.com> - 0.7.7-8
- Rebuilt.

* Sat Jul 22 2006 Jakub Jelinek <jakub@redhat.com> - 0.7.7-7
- Remove hack-libgcj requirement.

* Fri Jul 21 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 0.7.7-6
- Require hack-libgcj for build. (dist-fc6-java)
- Bump release number.

* Fri Jul 21 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 0.7.7-5
- Bump release number.
- Rebuild for libgcj.so.7rh.

* Fri Jul 14 2006 Ben Konrath <bkonrath@redhat.com> - 0.7.7-4
- Add timestamp patch.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.7.7-3.2
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.7.7-3.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Rafael Schloming <rafaels@redhat.com> - 0.7.7-3
- Added ^Z as a whitespace character.

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.7.7-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Feb 01 2006 Andrew Overholt <overholt@redhat.com> 0.7.7-2
- Don't package .la files (rh#172634).
- Install un-versioned symlinks in /usr/share/java (rh#177139).

* Mon Dec 19 2005 Andrew Overholt <overholt@redhat.com> 0.7.7-1
- 0.7.7.

* Tue Dec 13 2005 Jakub Jelinek <jakub@redhat.com> 0.7.6-3
- rebuild with gcc-4.1.0-0.7 (non-BC ABI break)

* Fri Dec 09 2005 Warren Togami <wtogami@redhat.com> 0.7.6-2
- rebuild with gcc-4.1

* Mon Oct 17 2005 Andrew Overholt <overholt@redhat.com> 0.7.6-1
- 0.7.6.

* Fri Jul 15 2005 Gary Benson <gbenson@redhat.com> 0.7.5-4
- Also build on ia64, ppc64, s390 and s390x.

* Tue Jul 05 2005 Andrew Overholt <overholt@redhat.com> 0.7.5-3
- Bump release for FC4 update.
- Downgrade gcc requirements to those present in FC4.

* Sun Jul 03 2005 Andrew Overholt <overholt@redhat.com> 0.7.5-2
- Add patches for processing imports in the correct order and for correct
  behaviour when a resolved import is not found (both from Tom Tromey).

* Fri Jun 17 2005 Andrew Overholt <overholt@redhat.com> 0.7.5-1
- New upstream version.

* Thu May 05 2005 Andrew Overholt <overholt@redhat.com> 0.7.4-5
- Add patch to handle single quotes in options (Julian Scheid).
- Add patch to handle lack of whitespace before member names (Julian).

* Thu Apr 28 2005 Andrew Overholt <overholt@redhat.com> 0.7.4-4
- Add patches to ignore option case and deal with some error cases (Julian
  Scheid).

* Tue Apr 26 2005 Andrew Overholt <overholt@redhat.com> 0.7.4-3
- Remove ppc64 as it appears to be hanging during the build.
  Will investigate.

* Mon Apr 25 2005 Andrew Overholt <overholt@redhat.com> 0.7.4-2
- Add patches from head (Julian Scheid).

* Sun Apr 24 2005 Andrew Overholt <overholt@redhat.com> 0.7.4-1
- New version.

* Tue Mar 15 2005 Andrew Overholt <overholt@redhat.com> 0.7.3-1
- New version.

* Wed Mar 09 2005 Andrew Overholt <overholt@redhat.com> 0.7.2-1
- New version.

* Thu Mar 03 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-4
- Add workaround for extraneous directory on x86_64.
- Remove ia64 due to gcc backend bug.

* Wed Mar 02 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-3
- %files tweaking.

* Tue Mar 01 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-2
- Bump for gcc4 -> gcc.
- Re-add libtool hack.

* Fri Feb 25 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-1
- Import new version.

* Wed Feb 09 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-0.pre3.1
- Import 0.7.1-pre3.
- Remove libtool breakage workaround.

* Tue Feb 08 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-0.pre2.4
- Add workaround for libtool breakage.
- Exclude s390 and s390x.

* Mon Feb 07 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-0.pre2
- New upstream version.
- Add README.

* Sat Feb 05 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-0.pre1
- Initial build of upstream pre-release.
- Import gbenson's previous specfile.

%files
%defattr(-,root,root)
%{_bindir}/gjdoc
%{_javadir}/com-sun-javadoc*.jar
%{_javadir}/com-sun-tools-doclets-Taglet*.jar
%{_javadir}/gnu-classpath-tools-gjdoc*.jar
%if %{gcj_support}
%{_libdir}/gcj/%{name}
%endif
%doc %{_infodir}/gjdoc.info.gz
%doc %{_mandir}/man1/gjdoc.1.gz
%doc README
